Can't install pygame

Issue #334 new
Jean Claude Deslauriers
created an issue

Found others with same issue, but no resolution. What' I've done

C:\PythonProjects\AlienInvasion>python.exe -c "import distutils.util; print(distutils.util.get_platform())" win32

C:\PythonProjects\AlienInvasion>pip -v install C:\PythonProjects\AlienInvasion\pygame-1.9.3-cp27-cp27m-win32.whl

Config variable 'Py_DEBUG' is unset, Python ABI tag may be incorrect

Config variable 'WITH_PYMALLOC' is unset, Python ABI tag may be incorrect

pygame-1.9.3-cp27-cp27m-win32.whl is not a supported wheel on this platform. Exception information: Traceback (most recent call last): File "c:\users\jeanclaude\appdata\local\programs\python\python36-32\lib\site-packages\pip\basecommand.py", line 215, in main status = self.run(options, args) File "c:\users\jeanclaude\appdata\local\programs\python\python36-32\lib\site-packages\pip\commands\install.py", line 312, in run wheel_cache File "c:\users\jeanclaude\appdata\local\programs\python\python36-32\lib\site-packages\pip\basecommand.py", line 276, in populate_requirement_set wheel_cache=wheel_cache File "c:\users\jeanclaude\appdata\local\programs\python\python36-32\lib\site-packages\pip\req\req_set.py", line 245, in add_requirement wheel.filename pip.exceptions.InstallationError: pygame-1.9.3-cp27-cp27m-win32.whl is not a supported wheel on this platform.

not sure if the 2 config warnings are significant. Learning Python, so all this is new. Not new to programming, so tried quite a few things, all end with saying "is not a supported wheel on this platform"

Comments (2)

  1. Log in to comment